Disk ARchive: libdar::archive_options_isolate Class Reference

| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
libdar::archive_options_isolate Class Reference
API

class holding optional parameters used to isolate an existing archive More...

`#include <archive_options.hpp>`

## Public Member Functions
| archive_options_isolate (const archive_options_isolate &ref)
| archive_options_isolate (archive_options_isolate &&ref) noexcept
archive_options_isolate & | operator= (const archive_options_isolate &ref)
archive_options_isolate & | operator= (archive_options_isolate &&ref) noexcept
void | clear ()
void | set_allow_over (bool allow_over)
| whether overwritting is allowed
void | set_warn_over (bool warn_over)
| whether a warning shall be issued before overwriting
void | set_info_details (bool info_details)
| whether the user needs detailed output of the operation
void | set_pause (const infinint &pause)
| Pause beteween slices. Set to zero does not pause at all, set to 1 makes libdar pauses each slice, set to 2 makes libdar pause each 2 slices and so on.
void | set_compression (compression algo)
| the compression algorithm used
void | set_compression_level (U_I compression_level)
| the compression level (from 1 to 9)
void | set_compression_block_size (U_I compression_block_size)
| set the compression block size
void | set_slicing (const infinint &file_size, const infinint &first_file_size=0)
| define the archive slicing
void | set_execute (const std::string &execute)
| command to execute after each slice creation
void | set_crypto_algo (crypto_algo crypto)
| cypher to use
void | set_crypto_pass (const secu_string &pass)
| password / passphrase to encrypt the data with (empty string for interactive question)
void | set_crypto_size (U_32 crypto_size)
| size of the encryption by block to use
void | set_gnupg_recipients (const std::vector< std::string > &gnupg_recipients)
void | set_gnupg_signatories (const std::vector< std::string > &gnupg_signatories)
void | set_empty (bool empty)
| whether to make a dry-run operation
void | set_slice_permission (const std::string &slice_permission)
| if not an empty string set the slice permission according to the octal value given.
void | set_slice_user_ownership (const std::string &slice_user_ownership)
| if not an empty string set the user ownership of slices accordingly
void | set_slice_group_ownership (const std::string &slice_group_ownership)
| if not an empty string set the group ownership of slices accordingly
void | set_user_comment (const std::string &comment)
| specify a user comment in the archive (always in clear text!)
void | set_hash_algo (hash_algo hash)
| specify whether to produce a hash file of the slice and which hash algo to use
void | set_slice_min_digits (infinint val)
| defines the minimum digit a slice must have concerning its number, zeros will be prepended as much as necessary to respect this
void | set_sequential_marks (bool sequential)
| whether to add escape sequence aka tape marks to allow sequential reading of the archive
void | set_entrepot (const std::shared_ptr< entrepot > &entr)
| defines the protocol to use for slices
void | set_multi_threaded (bool val)
| whether libdar is allowed to created several thread to work possibily faster on multicore CPU (require libthreadar)
void | set_multi_threaded_crypto (U_I num)
| how much thread libdar will use for cryptography (need libthreadar to be effective)
void | set_multi_threaded_compress (U_I num)
| how much thread libdar will use for compression (need libthreadar too and compression_block_size > 0)
void | set_delta_signature (bool val)
| whether signature to base binary delta on, has to be transfered from the source to the isolated catalogue and sotred beside saved files inode information
void | set_delta_mask (const mask &delta_mask)
| whether to derogate from the current existing binary delta signatures and drop/recalculate for file that do not have delta signatures
void | set_delta_sig_min_size (const infinint &val)
void | set_sig_block_len (delta_sig_block_size val)
| block size to use to build delta signatures
void | set_iteration_count (const infinint &val)
| key derivation
void | set_kdf_hash (hash_algo algo)
| hash algo used for key derivation
void | set_repair_mode (bool mode)
| repair mode making at most rebuild a catalog from a truncate or corrupted backup
bool | get_allow_over () const
bool | get_warn_over () const
bool | get_info_details () const
const infinint & | get_pause () const
compression | get_compression () const
U_I | get_compression_level () const
U_I | get_compression_block_size () const
const infinint & | get_slice_size () const
const infinint & | get_first_slice_size () const
const std::string & | get_execute () const
crypto_algo | get_crypto_algo () const
const secu_string & | get_crypto_pass () const
U_32 | get_crypto_size () const
const std::vector< std::string > & | get_gnupg_recipients () const
const std::vector< std::string > & | get_gnupg_signatories () const
bool | get_empty () const
const std::string & | get_slice_permission () const
const std::string & | get_slice_user_ownership () const
const std::string & | get_slice_group_ownership () const
const std::string & | get_user_comment () const
hash_algo | get_hash_algo () const
infinint | get_slice_min_digits () const
bool | get_sequential_marks () const
const std::shared_ptr< entrepot > & | get_entrepot () const
U_I | get_multi_threaded_crypto () const
U_I | get_multi_threaded_compress () const
bool | get_delta_signature () const
const mask & | get_delta_mask () const
bool | get_has_delta_mask_been_set () const
const infinint & | get_delta_sig_min_size () const
delta_sig_block_size | get_sig_block_len () const
const infinint & | get_iteration_count () const
hash_algo | get_kdf_hash () const
bool | get_repair_mode () const

## Private Member Functions
void | copy_from (const archive_options_isolate &ref)
void | move_from (archive_options_isolate &&ref) noexcept
void | destroy () noexcept
void | nullifyptr () noexcept

## Private Attributes
bool | x_allow_over
bool | x_warn_over
bool | x_info_details
infinint | x_pause
compression | x_algo
U_I | x_compression_level
U_I | x_compression_block_size
infinint | x_file_size
infinint | x_first_file_size
std::string | x_execute
crypto_algo | x_crypto
secu_string | x_pass
U_32 | x_crypto_size
std::vector< std::string > | x_gnupg_recipients
std::vector< std::string > | x_gnupg_signatories
bool | x_empty
std::string | x_slice_permission
std::string | x_slice_user_ownership
std::string | x_slice_group_ownership
std::string | x_user_comment
hash_algo | x_hash
infinint | x_slice_min_digits
bool | x_sequential_marks
std::shared_ptr< entrepot > | x_entrepot
U_I | x_multi_threaded_crypto
U_I | x_multi_threaded_compress
bool | x_delta_signature
mask * | x_delta_mask
bool | has_delta_mask_been_set
infinint | x_delta_sig_min_size
delta_sig_block_size | x_sig_block_len
infinint | x_iteration_count
hash_algo | x_kdf_hash
bool | x_repair_mode

## Detailed Description

class holding optional parameters used to isolate an existing archive

Definition at line 780 of file archive_options.hpp.

## Constructor & Destructor Documentation

## ◆ archive_options_isolate()

libdar::archive_options_isolate::archive_options_isolate | ( | archive_options_isolate && | ref | ) |
| inlinenoexcept

Definition at line 785 of file archive_options.hpp.

## ◆ ~archive_options_isolate()

libdar::archive_options_isolate::~archive_options_isolate | ( |  | ) |
| inline

Definition at line 788 of file archive_options.hpp.

## Member Function Documentation

## ◆ get_allow_over()

bool libdar::archive_options_isolate::get_allow_over | ( |  | ) | const
| inline

Definition at line 939 of file archive_options.hpp.

## ◆ get_compression()

compression libdar::archive_options_isolate::get_compression | ( |  | ) | const
| inline

Definition at line 943 of file archive_options.hpp.

## ◆ get_compression_block_size()

U_I libdar::archive_options_isolate::get_compression_block_size | ( |  | ) | const
| inline

Definition at line 945 of file archive_options.hpp.

## ◆ get_compression_level()

U_I libdar::archive_options_isolate::get_compression_level | ( |  | ) | const
| inline

Definition at line 944 of file archive_options.hpp.

## ◆ get_crypto_algo()

crypto_algo libdar::archive_options_isolate::get_crypto_algo | ( |  | ) | const
| inline

Definition at line 949 of file archive_options.hpp.

## ◆ get_crypto_pass()

const secu_string & libdar::archive_options_isolate::get_crypto_pass | ( |  | ) | const
| inline

Definition at line 950 of file archive_options.hpp.

## ◆ get_crypto_size()

U_32 libdar::archive_options_isolate::get_crypto_size | ( |  | ) | const
| inline

Definition at line 951 of file archive_options.hpp.

## ◆ get_delta_mask()

const mask & libdar::archive_options_isolate::get_delta_mask | ( |  | ) | const
| inline

Definition at line 966 of file archive_options.hpp.

## ◆ get_delta_sig_min_size()

const infinint & libdar::archive_options_isolate::get_delta_sig_min_size | ( |  | ) | const
| inline

Definition at line 968 of file archive_options.hpp.

## ◆ get_delta_signature()

bool libdar::archive_options_isolate::get_delta_signature | ( |  | ) | const
| inline

Definition at line 965 of file archive_options.hpp.

## ◆ get_empty()

bool libdar::archive_options_isolate::get_empty | ( |  | ) | const
| inline

Definition at line 954 of file archive_options.hpp.

## ◆ get_entrepot()

const std::shared_ptr< entrepot > & libdar::archive_options_isolate::get_entrepot | ( |  | ) | const
| inline

Definition at line 962 of file archive_options.hpp.

## ◆ get_execute()

const std::string & libdar::archive_options_isolate::get_execute | ( |  | ) | const
| inline

Definition at line 948 of file archive_options.hpp.

## ◆ get_first_slice_size()

const infinint & libdar::archive_options_isolate::get_first_slice_size | ( |  | ) | const
| inline

Definition at line 947 of file archive_options.hpp.

## ◆ get_gnupg_recipients()

const std::vector< std::string > & libdar::archive_options_isolate::get_gnupg_recipients | ( |  | ) | const
| inline

Definition at line 952 of file archive_options.hpp.

## ◆ get_gnupg_signatories()

const std::vector< std::string > & libdar::archive_options_isolate::get_gnupg_signatories | ( |  | ) | const
| inline

Definition at line 953 of file archive_options.hpp.

## ◆ get_has_delta_mask_been_set()

bool libdar::archive_options_isolate::get_has_delta_mask_been_set | ( |  | ) | const
| inline

Definition at line 967 of file archive_options.hpp.

## ◆ get_hash_algo()

hash_algo libdar::archive_options_isolate::get_hash_algo | ( |  | ) | const
| inline

Definition at line 959 of file archive_options.hpp.

## ◆ get_info_details()

bool libdar::archive_options_isolate::get_info_details | ( |  | ) | const
| inline

Definition at line 941 of file archive_options.hpp.

## ◆ get_iteration_count()

const infinint & libdar::archive_options_isolate::get_iteration_count | ( |  | ) | const
| inline

Definition at line 970 of file archive_options.hpp.

## ◆ get_kdf_hash()

hash_algo libdar::archive_options_isolate::get_kdf_hash | ( |  | ) | const
| inline

Definition at line 971 of file archive_options.hpp.

## ◆ get_multi_threaded_compress()

U_I libdar::archive_options_isolate::get_multi_threaded_compress | ( |  | ) | const
| inline

Definition at line 964 of file archive_options.hpp.

## ◆ get_multi_threaded_crypto()

U_I libdar::archive_options_isolate::get_multi_threaded_crypto | ( |  | ) | const
| inline

Definition at line 963 of file archive_options.hpp.

## ◆ get_pause()

const infinint & libdar::archive_options_isolate::get_pause | ( |  | ) | const
| inline

Definition at line 942 of file archive_options.hpp.

## ◆ get_repair_mode()

bool libdar::archive_options_isolate::get_repair_mode | ( |  | ) | const
| inline

Definition at line 972 of file archive_options.hpp.

## ◆ get_sequential_marks()

bool libdar::archive_options_isolate::get_sequential_marks | ( |  | ) | const
| inline

Definition at line 961 of file archive_options.hpp.

## ◆ get_sig_block_len()

delta_sig_block_size libdar::archive_options_isolate::get_sig_block_len | ( |  | ) | const
| inline

Definition at line 969 of file archive_options.hpp.

## ◆ get_slice_group_ownership()

const std::string & libdar::archive_options_isolate::get_slice_group_ownership | ( |  | ) | const
| inline

Definition at line 957 of file archive_options.hpp.

## ◆ get_slice_min_digits()

infinint libdar::archive_options_isolate::get_slice_min_digits | ( |  | ) | const
| inline

Definition at line 960 of file archive_options.hpp.

## ◆ get_slice_permission()

const std::string & libdar::archive_options_isolate::get_slice_permission | ( |  | ) | const
| inline

Definition at line 955 of file archive_options.hpp.

## ◆ get_slice_size()

const infinint & libdar::archive_options_isolate::get_slice_size | ( |  | ) | const
| inline

Definition at line 946 of file archive_options.hpp.

## ◆ get_slice_user_ownership()

const std::string & libdar::archive_options_isolate::get_slice_user_ownership | ( |  | ) | const
| inline

Definition at line 956 of file archive_options.hpp.

## ◆ get_user_comment()

const std::string & libdar::archive_options_isolate::get_user_comment | ( |  | ) | const
| inline

Definition at line 958 of file archive_options.hpp.

## ◆ get_warn_over()

bool libdar::archive_options_isolate::get_warn_over | ( |  | ) | const
| inline

Definition at line 940 of file archive_options.hpp.

## ◆ operator=() [1/2]

archive_options_isolate & libdar::archive_options_isolate::operator= | ( | archive_options_isolate && | ref | ) |
| inlinenoexcept

Definition at line 787 of file archive_options.hpp.

## ◆ operator=() [2/2]

archive_options_isolate & libdar::archive_options_isolate::operator= | ( | const archive_options_isolate & | ref | ) |
| inline

Definition at line 786 of file archive_options.hpp.

## ◆ set_allow_over()

void libdar::archive_options_isolate::set_allow_over | ( | bool | allow_over | ) |
| inline

whether overwritting is allowed

Definition at line 797 of file archive_options.hpp.

## ◆ set_compression()

void libdar::archive_options_isolate::set_compression | ( | compression | algo | ) |
| inline

the compression algorithm used

Definition at line 809 of file archive_options.hpp.

## ◆ set_compression_block_size()

void libdar::archive_options_isolate::set_compression_block_size | ( | U_I | compression_block_size | ) |
| inline

set the compression block size

Definition at line 816 of file archive_options.hpp.

## ◆ set_compression_level()

void libdar::archive_options_isolate::set_compression_level | ( | U_I | compression_level | ) |
| inline

the compression level (from 1 to 9)

Definition at line 812 of file archive_options.hpp.

## ◆ set_crypto_algo()

void libdar::archive_options_isolate::set_crypto_algo | ( | crypto_algo | crypto | ) |
| inline

cypher to use

Definition at line 846 of file archive_options.hpp.

## ◆ set_crypto_pass()

void libdar::archive_options_isolate::set_crypto_pass | ( | const secu_string & | pass | ) |
| inline

password / passphrase to encrypt the data with (empty string for interactive question)

Definition at line 849 of file archive_options.hpp.

## ◆ set_crypto_size()

void libdar::archive_options_isolate::set_crypto_size | ( | U_32 | crypto_size | ) |
| inline

size of the encryption by block to use

Definition at line 852 of file archive_options.hpp.

## ◆ set_delta_mask()

void libdar::archive_options_isolate::set_delta_mask | ( | const mask & | delta_mask | ) |

whether to derogate from the current existing binary delta signatures and drop/recalculate for file that do not have delta signatures

Note
  if only set_delta_signature() is called, and set_delta_mask() is not called, delta signature are just transmitted to isolated catalogue from the source archive. File without delta sig will not have delta sig on the isolated catalog, file with delta sign will have their delta sig copied to the isolated catalogue. Using set_delta_mask() let dar reconsider this delta sig transfer and lead libdar to drop delta sig if file does not match the mask and have a delta sig, have the delta sig transfered if it match the mask and already have a delta sig, recompute the delta sig if the file has no delta sig in the source archive and is covered by the provided mask here. Note that in this later case, access to the file's data is necessary to performe binary delta signature computation.

## ◆ set_delta_sig_min_size()

void libdar::archive_options_isolate::set_delta_sig_min_size | ( | const infinint & | val | ) |
| inline

whether to never calculate delta signature for files which size is smaller or equal to the given argument

Note
  by default a min size of 10 kiB is used

Definition at line 921 of file archive_options.hpp.

## ◆ set_delta_signature()

void libdar::archive_options_isolate::set_delta_signature | ( | bool | val | ) |
| inline

whether signature to base binary delta on, has to be transfered from the source to the isolated catalogue and sotred beside saved files inode information

Definition at line 906 of file archive_options.hpp.

## ◆ set_empty()

void libdar::archive_options_isolate::set_empty | ( | bool | empty | ) |
| inline

whether to make a dry-run operation

Definition at line 866 of file archive_options.hpp.

## ◆ set_entrepot()

void libdar::archive_options_isolate::set_entrepot | ( | const std::shared_ptr< entrepot > & | entr | ) |
| inline

defines the protocol to use for slices

Definition at line 890 of file archive_options.hpp.

## ◆ set_execute()

void libdar::archive_options_isolate::set_execute | ( | const std::string & | execute | ) |
| inline

command to execute after each slice creation

several macros are available:

- %n : the number of the just created slice
- %N : the slice number with padded zeros according to slice_min_digits given option
- %b : the archive basename
- %p : the slices path
- %e : the archive extension (usually "dar")
- %c : the archive context ("init", "operation" or "last_slice") see dar(1) man page for more details
- %%% : substitued by %%

Definition at line 843 of file archive_options.hpp.

## ◆ set_gnupg_recipients()

void libdar::archive_options_isolate::set_gnupg_recipients | ( | const std::vector< std::string > & | gnupg_recipients | ) |
| inline

set the list of recipients that will be able to read the archive

Note
  more details for the same option of archive_options_create
  since release 2.7.0 if a given std::string in the list contains an '@' the string is assumed to be an email and search is done in the keyring for that field type, else it is assumed to be a keyid.

Definition at line 858 of file archive_options.hpp.

## ◆ set_gnupg_signatories()

void libdar::archive_options_isolate::set_gnupg_signatories | ( | const std::vector< std::string > & | gnupg_signatories | ) |
| inline

the private keys matching the email of the provided list are used to sign the archive random key

Note
  since release 2.7.0 if a given std::string in the list contains an '@' the string is assumed to be an email and search is done in the keyring for that field type, else it is assumed to be a keyid.

Definition at line 863 of file archive_options.hpp.

## ◆ set_info_details()

void libdar::archive_options_isolate::set_info_details | ( | bool | info_details | ) |
| inline

whether the user needs detailed output of the operation

Definition at line 803 of file archive_options.hpp.

## ◆ set_iteration_count()

void libdar::archive_options_isolate::set_iteration_count | ( | const infinint & | val | ) |
| inline

key derivation

Definition at line 927 of file archive_options.hpp.

## ◆ set_kdf_hash()

void libdar::archive_options_isolate::set_kdf_hash | ( | hash_algo | algo | ) |
| inline

hash algo used for key derivation

Definition at line 930 of file archive_options.hpp.

## ◆ set_multi_threaded()

void libdar::archive_options_isolate::set_multi_threaded | ( | bool | val | ) |
| inline

whether libdar is allowed to created several thread to work possibily faster on multicore CPU (require libthreadar)

Deprecated
  this call is deprecated, see set_multi_threaded_*() more specific calls

Note
  setting this to true is equivalent to calling set_mutli_threaded_crypto(2)

Definition at line 896 of file archive_options.hpp.

## ◆ set_multi_threaded_compress()

void libdar::archive_options_isolate::set_multi_threaded_compress | ( | U_I | num | ) |
| inline

how much thread libdar will use for compression (need libthreadar too and compression_block_size > 0)

Definition at line 902 of file archive_options.hpp.

## ◆ set_multi_threaded_crypto()

void libdar::archive_options_isolate::set_multi_threaded_crypto | ( | U_I | num | ) |
| inline

how much thread libdar will use for cryptography (need libthreadar to be effective)

Definition at line 899 of file archive_options.hpp.

## ◆ set_pause()

void libdar::archive_options_isolate::set_pause | ( | const infinint & | pause | ) |
| inline

Pause beteween slices. Set to zero does not pause at all, set to 1 makes libdar pauses each slice, set to 2 makes libdar pause each 2 slices and so on.

Definition at line 806 of file archive_options.hpp.

## ◆ set_repair_mode()

void libdar::archive_options_isolate::set_repair_mode | ( | bool | mode | ) |
| inline

repair mode making at most rebuild a catalog from a truncate or corrupted backup

Definition at line 934 of file archive_options.hpp.

## ◆ set_sequential_marks()

void libdar::archive_options_isolate::set_sequential_marks | ( | bool | sequential | ) |
| inline

whether to add escape sequence aka tape marks to allow sequential reading of the archive

Definition at line 887 of file archive_options.hpp.

## ◆ set_sig_block_len()

void libdar::archive_options_isolate::set_sig_block_len | ( | delta_sig_block_size | val | ) |
| inline

block size to use to build delta signatures

Definition at line 924 of file archive_options.hpp.

References libdar::delta_sig_block_size::check().

## ◆ set_slice_group_ownership()

void libdar::archive_options_isolate::set_slice_group_ownership | ( | const std::string & | slice_group_ownership | ) |
| inline

if not an empty string set the group ownership of slices accordingly

Definition at line 875 of file archive_options.hpp.

## ◆ set_slice_min_digits()

void libdar::archive_options_isolate::set_slice_min_digits | ( | infinint | val | ) |
| inline

defines the minimum digit a slice must have concerning its number, zeros will be prepended as much as necessary to respect this

Definition at line 884 of file archive_options.hpp.

## ◆ set_slice_permission()

void libdar::archive_options_isolate::set_slice_permission | ( | const std::string & | slice_permission | ) |
| inline

if not an empty string set the slice permission according to the octal value given.

Definition at line 869 of file archive_options.hpp.

## ◆ set_slice_user_ownership()

void libdar::archive_options_isolate::set_slice_user_ownership | ( | const std::string & | slice_user_ownership | ) |
| inline

if not an empty string set the user ownership of slices accordingly

Definition at line 872 of file archive_options.hpp.

## ◆ set_slicing()

void libdar::archive_options_isolate::set_slicing | ( | const infinint & | file_size,
|  | const infinint & | first_file_size = 0 )
| inline

define the archive slicing

Parameters

  [in] | file_size | set the slice size in byte (0 for a single slice whatever its size is)
  [in] | first_file_size | set the first file size

Note
  if not specified or set to zero, first_file_size is considered equal to file_size

Definition at line 823 of file archive_options.hpp.

## ◆ set_user_comment()

void libdar::archive_options_isolate::set_user_comment | ( | const std::string & | comment | ) |
| inline

specify a user comment in the archive (always in clear text!)

Definition at line 878 of file archive_options.hpp.

## ◆ set_warn_over()

void libdar::archive_options_isolate::set_warn_over | ( | bool | warn_over | ) |
| inline

whether a warning shall be issued before overwriting

Definition at line 800 of file archive_options.hpp.

## Member Data Documentation

## ◆ has_delta_mask_been_set

bool libdar::archive_options_isolate::has_delta_mask_been_set
| private

Definition at line 1003 of file archive_options.hpp.

## ◆ x_algo

compression libdar::archive_options_isolate::x_algo
| private

Definition at line 979 of file archive_options.hpp.

## ◆ x_allow_over

bool libdar::archive_options_isolate::x_allow_over
| private

Definition at line 975 of file archive_options.hpp.

## ◆ x_compression_block_size

U_I libdar::archive_options_isolate::x_compression_block_size
| private

Definition at line 981 of file archive_options.hpp.

## ◆ x_compression_level

U_I libdar::archive_options_isolate::x_compression_level
| private

Definition at line 980 of file archive_options.hpp.

## ◆ x_crypto

crypto_algo libdar::archive_options_isolate::x_crypto
| private

Definition at line 985 of file archive_options.hpp.

## ◆ x_crypto_size

U_32 libdar::archive_options_isolate::x_crypto_size
| private

Definition at line 987 of file archive_options.hpp.

## ◆ x_delta_mask

mask* libdar::archive_options_isolate::x_delta_mask
| private

Definition at line 1002 of file archive_options.hpp.

## ◆ x_delta_sig_min_size

infinint libdar::archive_options_isolate::x_delta_sig_min_size
| private

Definition at line 1004 of file archive_options.hpp.

## ◆ x_delta_signature

bool libdar::archive_options_isolate::x_delta_signature
| private

Definition at line 1001 of file archive_options.hpp.

## ◆ x_empty

bool libdar::archive_options_isolate::x_empty
| private

Definition at line 990 of file archive_options.hpp.

## ◆ x_entrepot

std::shared_ptr<entrepot> libdar::archive_options_isolate::x_entrepot
| private

Definition at line 998 of file archive_options.hpp.

## ◆ x_execute

std::string libdar::archive_options_isolate::x_execute
| private

Definition at line 984 of file archive_options.hpp.

## ◆ x_file_size

infinint libdar::archive_options_isolate::x_file_size
| private

Definition at line 982 of file archive_options.hpp.

## ◆ x_first_file_size

infinint libdar::archive_options_isolate::x_first_file_size
| private

Definition at line 983 of file archive_options.hpp.

## ◆ x_gnupg_recipients

std::vector<std::string> libdar::archive_options_isolate::x_gnupg_recipients
| private

Definition at line 988 of file archive_options.hpp.

## ◆ x_gnupg_signatories

std::vector<std::string> libdar::archive_options_isolate::x_gnupg_signatories
| private

Definition at line 989 of file archive_options.hpp.

## ◆ x_hash

hash_algo libdar::archive_options_isolate::x_hash
| private

Definition at line 995 of file archive_options.hpp.

## ◆ x_info_details

bool libdar::archive_options_isolate::x_info_details
| private

Definition at line 977 of file archive_options.hpp.

## ◆ x_iteration_count

infinint libdar::archive_options_isolate::x_iteration_count
| private

Definition at line 1006 of file archive_options.hpp.

## ◆ x_kdf_hash

hash_algo libdar::archive_options_isolate::x_kdf_hash
| private

Definition at line 1007 of file archive_options.hpp.

## ◆ x_multi_threaded_compress

U_I libdar::archive_options_isolate::x_multi_threaded_compress
| private

Definition at line 1000 of file archive_options.hpp.

## ◆ x_multi_threaded_crypto

U_I libdar::archive_options_isolate::x_multi_threaded_crypto
| private

Definition at line 999 of file archive_options.hpp.

## ◆ x_pass

secu_string libdar::archive_options_isolate::x_pass
| private

Definition at line 986 of file archive_options.hpp.

## ◆ x_pause

infinint libdar::archive_options_isolate::x_pause
| private

Definition at line 978 of file archive_options.hpp.

## ◆ x_repair_mode

bool libdar::archive_options_isolate::x_repair_mode
| private

Definition at line 1008 of file archive_options.hpp.

## ◆ x_sequential_marks

bool libdar::archive_options_isolate::x_sequential_marks
| private

Definition at line 997 of file archive_options.hpp.

## ◆ x_sig_block_len

delta_sig_block_size libdar::archive_options_isolate::x_sig_block_len
| private

Definition at line 1005 of file archive_options.hpp.

## ◆ x_slice_group_ownership

std::string libdar::archive_options_isolate::x_slice_group_ownership
| private

Definition at line 993 of file archive_options.hpp.

## ◆ x_slice_min_digits

infinint libdar::archive_options_isolate::x_slice_min_digits
| private

Definition at line 996 of file archive_options.hpp.

## ◆ x_slice_permission

std::string libdar::archive_options_isolate::x_slice_permission
| private

Definition at line 991 of file archive_options.hpp.

## ◆ x_slice_user_ownership

std::string libdar::archive_options_isolate::x_slice_user_ownership
| private

Definition at line 992 of file archive_options.hpp.

## ◆ x_user_comment

std::string libdar::archive_options_isolate::x_user_comment
| private

Definition at line 994 of file archive_options.hpp.

## ◆ x_warn_over

bool libdar::archive_options_isolate::x_warn_over
| private

Definition at line 976 of file archive_options.hpp.

The documentation for this class was generated from the following file:

- archive_options.hpp